Skip to content

Alerting API Specification

Open API 2.0 Specification

AlertsApi

Method / Description HTTP request
createAlertWithAttachment
Creates and queues an alert for sending with attachments
POST /v2/alertsWithAttachments
createAlerts
Creates and queues an alert for sending
POST /v2/alerts
createAlertsPreview
Validates an alert and returns a preview
POST /v2/alerts/preview
createShortenedUrl
Create a shortened URL
POST /v2/public/shortenedUrl
findAlerts
List a summary of all alerts sent
POST /v2/alerts/find
getAggregatedChannelSummaryResponse
Returns the summary results for the email, voice, and sms channels.
GET /v2/alerts/{alertId}/results/channels/aggregatedSummary
getAlertChannelResultsEmail
Return the results for the email channel.
GET /v2/alerts/{alertId}/results/channels/email
getAlertChannelResultsEtn
Return the results for the ETN channel.
GET /v2/alerts/{alertId}/results/channels/etn
getAlertChannelResultsText
Return the results for the Text channel.
GET /v2/alerts/{alertId}/results/channels/text
getAlertChannelResultsVoice
Return the results for the Voice channel.
GET /v2/alerts/{alertId}/results/channels/voice
getAlertsById
Returns the alert details for the ID specified
GET /v2/alerts/{id}
getAlertsByIdRecipients
Results for all the recipients who have received this specific alert.
GET /v2/alerts/{id}/results/recipients
getAlertsByIdResults
Result summary for the specified alert.
GET /v2/alerts/{id}/results
getAlertsByIdSingleRecipient
Results for the specified recipient who has received this specific alert.
GET /v2/alerts/{alertId}/results/recipients/{recipientId}
getAlertsByIdStatus
Current status for the specified alert.
GET /v2/alerts/{id}/status
getAlertsDefault
Add new Alert Default Form
POST /v2/alerts/defaults
getAlertsSentV3
Returns a paged list of the alerts sent by the current user.
GET /v3/user/alerts/sent
getNextdoorChannelStatus
Gets the Nextdoor channel status for a given alertId.
GET /v2/alerts/{alertId}/results/channels/social/nextdoor
sendBulkAlerts
Sends multiple alerts in a single request. (tenant based)
POST /v4/{tenantId}/alerts/bulkSend

ContactsApi

Method / Description HTTP request
createFromFile
Creates a distribution list from a CSV file structured after /v2/contacts/export
POST /v4/{tenantId}/distributionLists/createFromFile
findContacts
Returns a paged list of the contacts.
POST /v2/contacts/find
getAlertsByIdRecipients
Results for all the recipients who have received this specific alert.
GET /v2/alerts/{id}/results/recipients
getAlertsByIdSingleRecipient
Results for the specified recipient who has received this specific alert.
GET /v2/alerts/{alertId}/results/recipients/{recipientId}

DistributionListsApi

Method / Description HTTP request
createFromFile
Creates a distribution list from a CSV file structured after /v2/contacts/export
POST /v4/{tenantId}/distributionLists/createFromFile

GroupsApi

Method / Description HTTP request
getGroupTreeNodes
Returns a paged set of GroupTreeNode objects.
GET /v2.1/groups/tree

PublicApi

Method / Description HTTP request
createShortenedUrl
Create a shortened URL
POST /v2/public/shortenedUrl

UserApi

Method / Description HTTP request
getAlertsSentV3
Returns a paged list of the alerts sent by the current user.
GET /v3/user/alerts/sent

V21Api

Method / Description HTTP request
getGroupTreeNodes
Returns a paged set of GroupTreeNode objects.
GET /v2.1/groups/tree

V3Api

Method / Description HTTP request
getAlertsSentV3
Returns a paged list of the alerts sent by the current user.
GET /v3/user/alerts/sent

Documentation for Models

Documentation for Authorization

Oauth2Scheme

  • Type: OAuth
  • Flow: accessCode
  • Authorization URL: https://auth.alertsense.com/account/login
  • Scopes:
  • tamarack: Hickory
  • content: ExternalID
  • elm: GIS

JwtBearerTokenScheme

  • Type: API key
  • API key parameter name: Authorization
  • Location: HTTP header